Bug 728872 - panic: <IRQ> [<ffffffff914ae2cd>] panic+0x91/0x19c
Summary: panic: <IRQ> [<ffffffff914ae2cd>] panic+0x91/0x19c
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 09:00 UTC by Kamil Páral
Modified: 2011-10-17 09:53 UTC (History)
5 users (show)

Fixed In Version: kernel-2.6.40.3-0.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 09:53:10 UTC


Attachments (Terms of Use)
kernel panic (326.97 KB, image/jpeg)
2011-08-08 09:00 UTC, Kamil Páral
no flags Details
kernel panic with 2.6.40.3-0 (642.39 KB, image/jpeg)
2011-08-17 13:17 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2011-08-08 09:00:29 UTC
Created attachment 517141 [details]
kernel panic

Description of problem:
I'm getting this kernel panic (see screenshot) when connecting my external USB hard drive, copying a file (from NTFS partition) onto local disk, leaving the nautilus window open (while viewing the remote directory) and hitting "Safely eject drive" in Nautilus.

When I first changed the directory to a local one and then unmounted the partition, the "safe eject" then went ok.

Version-Release number of selected component (if applicable):
Linux kparal 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
http://smolt.fedoraproject.org/show?uuid=pub_46e92a8f-2fad-4ef2-b610-c88f04d8cde6

How reproducible:
2 times out of 2 attempts

Steps to Reproduce:
1. connect external hard drive with ntfs partition
2. copy file
3. leave nautilus window open while viewing the remote directory
4. hit "safely remove drive"

Comment 1 Dave Jones 2011-08-09 16:51:47 UTC
Can you test this build ?
http://koji.fedoraproject.org/koji/buildinfo?buildID=257839

it contains a patch that might fix this issue.

Comment 2 Kamil Páral 2011-08-12 14:10:30 UTC
Thanks Dave, but unfortunately that doesn't help. Kernel panic still occurs.

Comment 3 Dave Jones 2011-08-15 17:48:28 UTC
thanks for testing. Exactly the same trace I assume ?
I'll take this info back to the upstream scsi/block developers.

Comment 4 Kamil Páral 2011-08-16 07:41:54 UTC
It's hard to compare kernel tracebacks, photo by photo, when I don't know anything about kernel tracebacks (i.e. what the important parts are). Lots of characters :)

But they looked very similar, yes. I'll try to reproduce it once again in a few days and compare it more closely.

Comment 5 Fedora Update System 2011-08-16 12:46:28 UTC
kernel-2.6.40.3-0.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15

Comment 6 Fedora Update System 2011-08-17 01:17:11 UTC
Package kernel-2.6.40.3-0.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-2.6.40.3-0.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/kernel-2.6.40.3-0.fc15
then log in and leave karma (feedback).

Comment 7 Kamil Páral 2011-08-17 13:16:59 UTC
I re-tested with kernel-2.6.40.3-0.fc15. It does not fix the issue. The trace however seems different. The original says "comm: usb-storage" and the new one says "comm: ksoftirqd/0". But again, I don't know what to look for.

Comment 8 Kamil Páral 2011-08-17 13:17:31 UTC
Created attachment 518679 [details]
kernel panic with 2.6.40.3-0

Comment 9 Fedora Update System 2011-08-18 02:29:24 UTC
kernel-2.6.40.3-0.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Josh Boyer 2011-10-11 13:22:09 UTC
Kamil, can you try the 2.6.40.6-0.fc15 kernel and let us know if that resolves the problem?  There is yet another blk fix in that kernel.

Comment 11 Kamil Páral 2011-10-17 09:53:10 UTC
This has been fixed with 2.6.40.6-0.fc15.x86_64. Thanks!


Note You need to log in before you can comment on or make changes to this bug.